<script lang="ts" setup>
// This component is also used on the /jobs landing page
import type { BaseLink } from '@/types/base';
import { ChevronLgRight } from 'slippers-ui/icons';

interface CopyAboutProps {
  title?: string;
  subtitle?: string;
  description?: string;
  cta?: BaseLink;
}

defineProps<CopyAboutProps>();
</script>

<template>
  <SlpSection class="about">
    <div class="about__gradient-header" />
    <SlpRow>
      <SlpColumn :cols="4" data-aos="zoom-in-right" data-aos-offset="100" data-aos-duration="400" class="slp-pr-16">
        <SlpTypography v-if="title" tag="h2" variant="heading2-bold">
          {{ title }}
        </SlpTypography>
      </SlpColumn>
      <SlpColumn :cols="8" data-aos="zoom-in-left" data-aos-offset="100" data-aos-duration="400">
        <SlpTypography v-if="subtitle" tag="p" variant="body1-bold">
          {{ subtitle }}
        </SlpTypography>
        <div class="slp-my-24 about__description" v-html="$md.render(description)"></div>
        <SlpButton
          v-if="cta"
          variant="tertiary"
          class="about__link"
          :data-ga-name="cta.config.dataGaName"
          :data-ga-location="cta.config.dataGaLocation"
          :href="cta.config.href"
          >{{ cta.text }}
          <SlpIcon class="slp-ml-8" :icon="ChevronLgRight" hex-color="#7759C2" />
        </SlpButton>
      </SlpColumn>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.about {
  padding-top: $spacing-96;
  padding-bottom: $spacing-96;

  @media (max-width: $breakpoint-md) {
    padding-top: $spacing-32;
    padding-bottom: $spacing-64;
  }

  &__gradient-header {
    background: linear-gradient(90deg, #ffc8c6 0%, #b3bded 100%);
    height: 4px;
    width: 95px;
    border-radius: 10px;
    margin-bottom: $spacing-16;
  }

  &__description {
    font-size: 20px;
    line-height: 24px;
  }

  &__link {
    color: $color-text-link-100;
    padding-left: 0;

    &:hover {
      text-decoration-color: $color-text-link-100;
    }
  }

  .about__description {
    &:deep(ul) {
      list-style: disc;

      li {
        margin-left: $spacing-24;
      }
    }

    &:deep(p) {
      margin-top: $spacing-16;
    }

    &:deep(li) {
      margin-top: $spacing-8;
    }
  }
}
</style>
